@import "../../assets/scss/global";

.auth-layout-wrapper {
    display: flex;
    min-height: 100vh;
    background-image: url("/images/authentication/bg-mobile-top.png"), url("/images/authentication/bg-mobile-bottom.png");
    background-position: top, bottom right;
    background-repeat: no-repeat;
    background-size: 100%;
    column-gap: 80px;

    @include largeScreen {
        background: url("/images/authentication/bg-right.png") no-repeat top right;
        background-size: 100%;
    }

    .left {
        width: calc(50% - 40px);
        display: none;
        @include largeScreen {
            display: block;
        }

        img {
            height: 100%;
            width: auto;
            display: none;

            @include largeScreen {
                display: block;
            }
        }
    }

    .right {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;

        @include largeScreen {
            width: calc(50% - 40px);
        }

        @include wideScreen {
            align-items: flex-start;
        }
    }
}